<?php 
$start_time = microtime(true);
include "php/page.php";                  // All the magic happens in here

$site = new Site();
include "php/site_config.php";

$page_path = isset($_SERVER['PATH_INFO']) ? $_SERVER['PATH_INFO'] : 
            (isset($_SERVER['ORIG_PATH_INFO']) ? $_SERVER['ORIG_PATH_INFO'] : main_page);
$page_path = strtr($page_path, '\\', '/');
$page_dir = dirname($page_path);

$query_params = getQueryStringParams();

$page = new Page($site, $page_path) ;
$page->parseMarkup();
?>
<!DOCTYPE html>
<html>
<head>
    <title> <?php echo "{$page->getProperty('title')} - {$site->title}"; ?> </title>
    <link rel="stylesheet" type="text/css" href="<?php echo css_file;?>">
</head>
<body>
    <div id="site-header">
      <p id="title"><a href="<?php echo pathConcat(internal_link_prefix, main_page);?>"><?php echo $site->title; ?></a></p>
      <p id="slogan"><?php echo $site->slogan; ?></p>
    </div>
    <?php buildNavbar($page, 'id="nav-top"'); ?>
    <div id="page-area">
      <div id="page-header">
        <div id="title">
          <?php echo $page->getProperty('title'); ?>
        </div>
        <div id="page-path">
          <?php buildPagePath($page);?>
        </div>
        <?php
        if(isset($query_params['from']))
            echo "<div id=\"redirect-from\">(Redirected from {$query_params['from']})</div>";
        ?>
      </div>
      <div id="page-content">
        <?php echo $page->content; ?>
      </div>
      <div id="page-footer">
        <div id="tag-list"><?php buildTags($page);?></div>
      </div>
    </div>
    <div id="site-footer">
      <div id="copyright"><?php echo $site->copyright;?></div>
      <?php printf('PHP execution time: %.6f seconds', microtime(true) - $start_time);?>
    </div>
</body>
</html>